io.vertx.redis.op

## Class KillFilter

- java.lang.Object
- - io.vertx.redis.op.KillFilter

-     public class KillFilter
      extends Object

  Author:
    Marko Strukelj

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KillFilter.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillFilter()`
    `KillFilter(JsonObject json)`
    `KillFilter(KillFilter copy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KillFilter` | `setAddr(String addr)` Set ADDR filter
    `KillFilter` | `setId(String clientid)` Set ID filter
    `KillFilter` | `setSkipme(boolean skip)` Set SKIPME filter
    `KillFilter` | `setType(KillFilter.Type type)` Set TYPE filter
    `JsonObject` | `toJson()`
    `JsonArray` | `toJsonArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KillFilter

          public KillFilter()

    - #### KillFilter

          public KillFilter(KillFilter copy)

    - #### KillFilter

          public KillFilter(JsonObject json)

  - ### Method Detail

    - #### setAddr

          public KillFilter setAddr(String addr)

      Set ADDR filter
      Parameters:
        `addr` - Address filter of form addr:port
      Returns:
        This

    - #### setId

          public KillFilter setId(String clientid)

      Set ID filter
      Parameters:
        `clientid` - Client id as returned by CLIENT LIST command
      Returns:
        This

    - #### setType

          public KillFilter setType(KillFilter.Type type)

      Set TYPE filter
      Parameters:
        `type` - KillType to include
      Returns:
        This

    - #### setSkipme

          public KillFilter setSkipme(boolean skip)

      Set SKIPME filter
      Parameters:
        `skip` - True if current client should be excluded from KILL
      Returns:
        This

    - #### toJson

          public JsonObject toJson()

    - #### toJsonArray

          public JsonArray toJsonArray()

Copyright © 2016. All rights reserved.